Loading...
Searching...
No Matches
Ogre::CreateGpuProgramScriptCompilerEvent Class Reference
Core » Script

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateGpuProgramScriptCompilerEvent:
[legend]

## Public Member Functions

| CreateGpuProgramScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup, const String &source, const String &syntax, GpuProgramType programType)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes

String | mFile
String | mName
GpuProgramType | mProgramType
String | mResourceGroup
String | mSource
String | mSyntax
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes

static String | eventType

## Constructor & Destructor Documentation

## CreateGpuProgramScriptCompilerEvent()

Ogre::CreateGpuProgramScriptCompilerEvent::CreateGpuProgramScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup,
|  | const String & | source,
|  | const String & | syntax,
|  | GpuProgramType | programType )

inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mFile, mName, mProgramType, mResourceGroup, mSource, and mSyntax.

## Member Data Documentation

## mFile

String Ogre::CreateGpuProgramScriptCompilerEvent::mFile

Referenced by CreateGpuProgramScriptCompilerEvent().

## mName

String Ogre::CreateGpuProgramScriptCompilerEvent::mName

Referenced by CreateGpuProgramScriptCompilerEvent().

## mResourceGroup

String Ogre::CreateGpuProgramScriptCompilerEvent::mResourceGroup

Referenced by CreateGpuProgramScriptCompilerEvent().

## mSource

String Ogre::CreateGpuProgramScriptCompilerEvent::mSource

Referenced by CreateGpuProgramScriptCompilerEvent().

## mSyntax

String Ogre::CreateGpuProgramScriptCompilerEvent::mSyntax

Referenced by CreateGpuProgramScriptCompilerEvent().

## mProgramType

GpuProgramType Ogre::CreateGpuProgramScriptCompilerEvent::mProgramType

Referenced by CreateGpuProgramScriptCompilerEvent().

## eventType

String Ogre::CreateGpuProgramScriptCompilerEvent::eventType

static

Referenced by CreateGpuProgramScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h